%define major     32
%define libname   %mklibname hx %{major}
%define develname %mklibname hx -d

Name:           libhx
Version:        4.27
Release:        %mkrel 1
Summary:        A library for common data structures and low level operations
Group:          System/Libraries
License:        GPLv3+ and LGPLv2+
URL:            https://libhx.sourceforge.net/
Source0:        https://inai.de/files/libhx/libHX-%{version}.tar.xz
Source1:        https://inai.de/files/libhx/libHX-%{version}.tar.asc

%description
A library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%package -n %{libname}
Group:          System/Libraries
Summary:        General-purpose library

%description -n %{libname}
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n libHX-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_docdir}/libhx
install -m 644 doc/* %{buildroot}%{_docdir}/libhx/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%{_libdir}/libHX_rtcheck.so

%files -n %{develname}
%{_includedir}/libHX.h
%{_includedir}/libHX/
%{_libdir}/libHX.so
%{_libdir}/pkgconfig/libHX.pc
%{_docdir}/libhx/


%changelog
* Wed Jul 16 2025 daviddavid <daviddavid> 4.27-1.mga10
+ Revision: 2256547
- new version: 4.27

* Sat Jun 28 2025 umeabot <umeabot> 4.8-2.mga10
+ Revision: 2217455
- Mageia 10 Mass Rebuild

* Tue Jan 17 2023 daviddavid <daviddavid> 4.8-1.mga9
+ Revision: 1934037
- new version: 4.8

* Tue Mar 15 2022 umeabot <umeabot> 3.26-2.mga9
+ Revision: 1793647
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 3.26-1.mga9
+ Revision: 1740356
- 3.26

* Fri May 29 2020 daviddavid <daviddavid> 3.25-1.mga8
+ Revision: 1588723
- new version: 3.25
- now libmajor is 32

* Fri May 29 2020 daviddavid <daviddavid> 3.24-3.mga8
+ Revision: 1588719
- rename also the spec file
- rename libraries and devel pkgs
- rename pkg without uppercase, libHX -> libhx

* Fri Feb 14 2020 umeabot <umeabot> 3.24-2.mga8
+ Revision: 1520570
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 01 2018 daviddavid <daviddavid> 3.24-1.mga7
+ Revision: 1336985
- new version: 3.24

* Sun Sep 23 2018 umeabot <umeabot> 3.22-2.mga7
+ Revision: 1298908
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Jan 02 2016 luigiwalser <luigiwalser> 3.22-1.mga6
+ Revision: 918443
- 3.22

* Wed Oct 15 2014 umeabot <umeabot> 3.21-3.mga5
+ Revision: 740332
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.21-2.mga5
+ Revision: 681312
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 guillomovitch <guillomovitch> 3.21-1.mga5
+ Revision: 672521
- new version 3.21

* Mon Oct 21 2013 umeabot <umeabot> 3.16-2.mga4
+ Revision: 540669
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 3.16-1.mga4
+ Revision: 494181
- New version: 3.16

* Mon Jul 15 2013 sander85 <sander85> 3.15-1.mga4
+ Revision: 454714
- New version: 3.15

* Sat Jan 12 2013 umeabot <umeabot> 3.14-3.mga3
+ Revision: 356774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 guillomovitch <guillomovitch> 3.14-2.mga3
+ Revision: 333874
- fix documentation location, and documentation directory ownership

* Thu Nov 15 2012 fwang <fwang> 3.14-1.mga3
+ Revision: 318066
- new version 3.14

* Sun Jul 29 2012 fwang <fwang> 3.13-1.mga3
+ Revision: 275695
- new version 3.13

* Fri Dec 16 2011 fwang <fwang> 3.12.1-2.mga2
+ Revision: 182412
- obsolete old lib package

* Fri Dec 16 2011 fwang <fwang> 3.12.1-1.mga2
+ Revision: 182407
- new version 3.12.1

* Sun Dec 04 2011 fwang <fwang> 3.12-1.mga2
+ Revision: 175842
- new version 3.12
- new version 3.11
- new version 3.10.1

* Thu Mar 24 2011 boklm <boklm> 3.9.1-2.mga1
+ Revision: 76173
- rebuild for bug #497

* Sat Mar 19 2011 boklm <boklm> 3.9.1-1.mga1
+ Revision: 74597
- version 3.9.1
- clean spec
- imported package libHX

